<template>
    <tr 
        class="text-center table-primary list"
        @dblclick="editDblclic(item.id)"
        @click="isChecked(item.id)"
        v-contextmenu:contextmenu 
    >
        <td class="align-middle" style="width:5%;">
            <input  style="cursor:pointer" type="checkbox" v-model="item.isChecked" />
        </td>
        <td  
            v-for="(el, x) in inputItems"
            :key="x"
            class="align-middle text-start mb-2" 
            :ref="el.name"
        >
            {{ item[el.name]}}
        </td>
    </tr>
    <tr ><td class="border-0"></td></tr>
    <v-contextmenu ref="contextmenu">
        <v-contextmenu-item 
            v-for="(item, index) in contextItem"
            :key="index"
            @click="copyElem(this.$refs[item.name])"
        >
            {{ item.desc }}
        </v-contextmenu-item>
    </v-contextmenu>
</template>

<script>
import { defineEmits,watch,ref, computed } from 'vue';
import { useStore } from 'vuex';

export default {
    name: 'ListDataTable',
    props: ["item", "inputItems", "contextItem"],
    emits: ["editDblclic", "IS_CHECKED"],

    setup(props,{ emit }){

        const store = useStore();

        function copyElem(elem){
            
            if(elem[0].firstChild.data){
               
                navigator.clipboard.writeText(elem[0].firstChild.data);
            }
        }

        function editDblclic(id){
                      
            emit("editDblclic", id)
        }
      
        function isChecked(id){
        
            emit('IS_CHECKED', id)
        }
        return {
            copyElem,
            editDblclic,
            isChecked,
        }
    }
}
</script>

<style>
   
</style>
